Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417483 - Failed DNS resolution causes SIGSEGV and endless loop
Summary: Failed DNS resolution causes SIGSEGV and endless loop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: socat
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 19:00 UTC by Lorenzo Pistone
Modified: 2017-02-12 19:51 UTC (History)
3 users (show)

Fixed In Version: socat-1.7.3.2-1.fc24 socat-1.7.3.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-12 14:46:59 UTC
Type: Bug


Attachments (Terms of Use)
core dump at first SIGSEGV (1.70 MB, application/x-core)
2017-01-29 19:00 UTC, Lorenzo Pistone
no flags Details
core dump during endless loop (1.70 MB, application/x-core)
2017-01-29 19:01 UTC, Lorenzo Pistone
no flags Details

Description Lorenzo Pistone 2017-01-29 19:00:11 UTC
Created attachment 1245653 [details]
core dump at first SIGSEGV

when running this command 

socat -T 4 -,ignoreeof TCP:aaaaaaaaaaaaaaaa.org:28787,connect-timeout=2

socat receives SIGSEGV when the lookup fails (or timeouts). Additionally, socat tries to pretty print the error, but apparently it enters an endless loop hogging 100% of a core. Version 1.7.3.1-1.fc25.

In attachment the core files when receiving the first SIGSEGV and during the endless loop.

Comment 1 Lorenzo Pistone 2017-01-29 19:01:33 UTC
Created attachment 1245654 [details]
core dump during endless loop

Comment 2 Gerhard 2017-01-29 19:40:36 UTC
This has been fixed in the recent 1.7.3.2 release.

Comment 3 Fedora Update System 2017-02-03 00:54:51 UTC
socat-1.7.3.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-de7e691b8b

Comment 4 Fedora Update System 2017-02-03 00:55:21 UTC
socat-1.7.3.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-391e24bbc9

Comment 5 Fedora Update System 2017-02-03 22:54:58 UTC
socat-1.7.3.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-de7e691b8b

Comment 6 Fedora Update System 2017-02-03 23:50:20 UTC
socat-1.7.3.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-391e24bbc9

Comment 7 Fedora Update System 2017-02-12 14:46:59 UTC
socat-1.7.3.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-02-12 19:51:23 UTC
socat-1.7.3.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.